跳轉到主要內容
GET
/
v2
/
trade
/
{chain}
/
activities
活動 - 列表
curl --request GET \
  --url https://api.chainstream.io/v2/trade/{chain}/activities \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "accountOwnerAddress": "3xd4LGVWtYXLBspR6X5JWbW49NXmEehfPtX6Kqx98b4w",
      "blockHeight": 332417228,
      "blockTimestamp": 1717334400000,
      "chain": "sol",
      "poolAddress": "58oQChx4yWmvKdwLLZzBi4ChoCc2fqCUWBkwMihLYQo2",
      "sideTokenAddress": "So11111111111111111111111111111111111111112",
      "sideTokenAmount": "1",
      "sideTokenAmountInNative": "150",
      "sideTokenAmountInUsd": "150",
      "sideTokenName": "Wrapped SOL",
      "sideTokenPriceInNative": "1",
      "sideTokenPriceInUsd": "150",
      "sideTokenSymbol": "SOL",
      "status": "SUCCEEDED",
      "tokenAddress": "6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN",
      "tokenAmount": "1000000",
      "tokenAmountInNative": "100",
      "tokenAmountInUsd": "8800000",
      "tokenName": "TRUMP",
      "tokenPriceInNative": "0.0001",
      "tokenPriceInUsd": "8.80",
      "tokenSymbol": "TRUMP",
      "transactionSignature": "37XpPt9Ak6JiE1V3sftJDtdUsvR9FVFRqkZmoT3dp4BTD9pgyTWn1XgHH6R7NjuJ4pBMAgj8JvZtxQrf4s6NTC5F",
      "type": "BUY",
      "accountAddress": "<string>",
      "addrType": 123,
      "dexImage": "https://example.com/dex.png",
      "dexProgramAddress": "whirLbMiicVdio4qvUfM5KAg6Ct8VwpYzGff3uctyCc",
      "dexProtocolFamily": "OrcaWhirpool",
      "gasFee": 5000,
      "gasFeeInNative": "0.000073",
      "gasFeeInUsd": "0.011",
      "historyBoughtAmount": "<string>",
      "historySoldAmount": "<string>",
      "historySoldIncome": "<string>",
      "isOpenOrClose": 123,
      "makerEventTags": [
        "<string>"
      ],
      "makerExchange": "<string>",
      "makerName": "<string>",
      "marketCapInUsd": "1500000.00",
      "postBalance": "<string>",
      "realizedProfitInUsd": "<string>",
      "sideTokenImageUrl": "https://arweave.net/sol.png",
      "tokenImageUrl": "https://arweave.net/token.png",
      "totalTrade": 123,
      "traderTags": [
        "<string>"
      ],
      "unrealizedProfitInUsd": "<string>"
    }
  ],
  "endCursor": "eyJpZCI6ImVuZCJ9",
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "eyJpZCI6InN0YXJ0In0="
}

Documentation Index

Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt

Use this file to discover all available pages before exploring further.

授權

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路徑參數

chain
enum<string>
必填

支援網路列表中的鏈名稱 Supported blockchain chains

可用選項:
sol,
eth,
bsc

查詢參數

cursor
string

分頁游標

limit
integer<int64>
預設值:20

每頁回傳結果數量

direction
enum<string>
預設值:next

分頁方向(next 或 prev) Pagination direction

可用選項:
next,
prev
tokenAddress
string

代幣地址

walletAddress
string

錢包地址

poolAddress
string

池子地址

beforeTimestamp
integer<int64>

交易篩選的開始時間戳(Unix 秒級時間戳)

afterTimestamp
integer<int64>

交易篩選的結束時間戳(Unix 秒級時間戳)

beforeBlockHeight
integer<int64>

篩選此區塊高度之前的交易

afterBlockHeight
integer<int64>

篩選此區塊高度之後的交易

transactionsSignature
string

交易簽名/雜湊

type
enum<string>

活動類型篩選 Activity type (extends TradeType)

可用選項:
BUY,
SELL,
LIQUIDITY_INITIALIZE,
LIQUIDITY_ADD,
LIQUIDITY_REMOVE,
RED_PACKET_CREATE,
RED_PACKET_CLAIM,
RED_PACKET_COMPLETE,
RED_PACKET_REFUND
sortBy
enum<string>
預設值:timestamp

DTO.TRADE.SORT_BY Sort by: timestamp (default) | totalUsd Sort field for activities query

可用選項:
timestamp,
totalUsd
traderTags
string

Filter by trader tag(s). Comma-separated list from: kol, smart, sniper, bundle, dev, bluechip, insider, fresh. Returns activities where the trader has ANY of the specified tags.

minAmountUsd
string

Minimum trade value in USD (inclusive). Filters out small trades.

maker
string

Filter by specific maker (trader) wallet address. Equivalent to filtering by accountOwnerAddress.

回應

200 - application/json

成功回應

Generic pagination response

data
object[]
必填

Page data

endCursor
string | null

Cursor for the end of current page

範例:

"eyJpZCI6ImVuZCJ9"

hasNext
boolean

Whether there is a next page

範例:

false

hasPrev
boolean

Whether there is a previous page

範例:

false

startCursor
string | null

Cursor for the start of current page

範例:

"eyJpZCI6InN0YXJ0In0="